> ## Documentation Index > Fetch the complete documentation index at: https://www.bloxs.io/llms.txt > Use this file to discover all available pages before exploring further. # Update existing property definitions > Update the configured property definition in the system ## OpenAPI ````json PUT /api/v1/realestateobjects/publish/propertydefinitions { "openapi": "3.0.4", "info": { "title": "RealEstateObjects V1", "description": "Welcome to BETA version of the new RealEstateObjects API - intended for client public testing before the launch of the final version. During this BETA phase, we'll be improving the API based on specific client's feedbacks.", "version": "v1" }, "security": [ {} ], "tags": [ { "name": "Admin" }, { "name": "Buildings" }, { "name": "Complexes" }, { "name": "Generic" }, { "name": "Metadata" }, { "name": "PublishObjects" }, { "name": "ScoringPointTotals" }, { "name": "Sections" }, { "name": "Units" } ], "paths": { "/api/v1/realestateobjects/publish/propertydefinitions": { "put": { "tags": [ "Admin", "Publish" ], "summary": "Update existing property definitions", "description": "Update the configured property definition in the system", "operationId": "UpdatePropertyDefinition", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/PropertyDefinition" } } } }, "responses": { "200": { "description": "The property definition was updated", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/PropertyDefinition" } } } }, "400": { "description": "The property definition data has validation issues", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/APIErrorMessageModel" } } } } }, "x-d360-narrative-url": "

Update existing property definitions

This endpoint updates an existing custom property definition, identified by its apiLabel.

Integrators call this endpoint to correct or change a custom property's label, control type, order, or dropdown options after retrieving its current definition.

This operation fully overwrites the property definition identified by apiLabel. Any field not included in the request will be cleared, not left unchanged.


Request Fields

Field

Type

Required

Description

apiLabel

string

Yes

Unique identifier of the custom property to update. Must match an existing property definition.

labelName

string

Yes

Display name of the custom property.

controlType

integer

No

Input control type of the custom property. Valid values are 0 (TextBox), 1 (NumberBox), 2 (DateBox), 3 (Dropdown), 4 (RichText), 5 (AmountBox), 6 (SquareMeterBox), or 7 (MultiSelectDropdown).

order

integer

No

Display order of this property among the other custom properties, both in the Bloxs screen and, if used that way, on the connected website. Not related to the display order of dropdown options; see options.order for that.

options

array of object

No

Configured options for the property. Applicable when controlType is Dropdown or MultiSelectDropdown.

options.value

string

Yes

Display text of the dropdown or multi-select option.

options.order

integer

No

Display order of this option within the dropdown or multi-select list.


Response Fields

Field

Type

Required

Description

apiLabel

string

Yes

Unique identifier of the updated custom property.

labelName

string

Yes

Display name of the custom property.

controlType

integer

No

Input control type of the custom property. Valid values are 0 (TextBox), 1 (NumberBox), 2 (DateBox), 3 (Dropdown), 4 (RichText), 5 (AmountBox), 6 (SquareMeterBox), or 7 (MultiSelectDropdown).

order

integer

No

Display order of this property among the other custom properties.

options

array of object

No

Configured options for the property. Applicable when controlType is Dropdown or MultiSelectDropdown.

options.value

string

Yes

Display text of the dropdown or multi-select option.

options.order

integer

No

Display order of this option within the dropdown or multi-select list.

" } } }, "components": { "schemas": { "PropertyDefinition": { "required": [ "apiLabel", "labelName" ], "type": "object", "properties": { "apiLabel": { "minLength": 1, "type": "string", "description": "The API Key of the property, this is the key used to identify the Object property" }, "labelName": { "minLength": 1, "type": "string", "description": "The name of the property" }, "controlType": { "type": "integer", "description": "The type of the property", "format": "int32", "x-enumNames": [ "TextBox", "NumberBox", "DateBox", "Dropdown", "RichText", "AmountBox", "SquareMeterBox", "MultiSelectDropdown" ] }, "order": { "type": "integer", "format": "int32" }, "options": { "type": "array", "items": { "$ref": "#/components/schemas/Publish_PropertyDefinitionOption" }, "description": "When the ControlType is Dropdown, then these are the configured options for the Dropdown", "nullable": true } }, "additionalProperties": false }, "APIErrorMessageModel": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "title": { "type": "string", "nullable": true }, "traceId": { "type": "string", "nullable": true }, "status": { "type": "integer", "format": "int32" }, "errors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" }, "nullable": true }, "nullable": true } }, "additionalProperties": false }, "Publish_PropertyDefinitionOption": { "required": [ "value" ], "type": "object", "properties": { "value": { "minLength": 1, "type": "string" }, "order": { "type": "integer", "format": "int32" } }, "additionalProperties": false } } } } ````